Skip to content

Open a date poll for a rehearsal or a gig

POST
/api/date-polls
object
kind
required
string
Allowed values: rehearsal gig
title
required
string
>= 1 characters <= 120 characters
notes
string
<= 2000 characters
location
string
<= 200 characters
venueId
string format: uuid
nullable
timezone
string
<= 100 characters
deadline
string format: date-time
nullable
invitedGuestIds
Array<string>
<= 50 items
options
required
Array<object>
>= 2 items <= 31 items
object
startsAt
required
string format: date-time
endsAt
string format: date-time
nullable

Success

object
ok
required
boolean
data
nullable

Created

object
ok
required
boolean
data
nullable

Bad request / invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden / not a band member

object
ok
required
boolean
error
required
string
code
string

Not found

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string